//!The RAq Approach: common.h
/*!
contains many of the header files that are needed for all files. also contains the global
variables conveniently in one place to edit
*/
//(c) 2006 Suzanne Matthews
/*
This file is part of the RaqApproach software package.

    RaqApproach is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RaqApproach is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with RaqApproach; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
#ifndef COMMON_H_
#define COMMON_H_

#include <iostream>
#include <fstream>
#include <string>
#include <list>
#include <vector>
#include <map>
#include <sstream>

using namespace std;
//****************** GLOBAL CONSTANTS ********************************************
const int lambda = 2; //!< total number of elements per cluster (2 is only supported)
const double initial_q = .1; //!< initial q value: can be changed; recommended default
const int decay = 2; //!< decay factor: recommended to be kept at 2
int num_taxa; //!< the value of this will be changed automatically
const int gap_penalty = -1; //!< by default is -1. Effects of change have not been tested
const char gap_char = '-'; //!< can be changed if necessary
const char unknown_char = '?'; //!< can be changed (ex: 'N' is suitable substitute)
const bool DISPLAY = false; //!< depending on value of display, will print debug statements
vector<char> unknown_chars;
//********************************************************************************

#endif
